# $Revision: 1.116 $, $Date: 2012/05/15 10:46:10 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	General Window Manager interfacing for GNOME utilities
Summary(pl.UTF-8):	Interfejs General Window Manager dla narzędzi GNOME
Name:		libwnck
Version:	3.4.2
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libwnck/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	aa2780dffe2dcf98a736a5fddcb50dae
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gobject-introspection-devel >= 0.6.14
BuildRequires:	gtk+3-devel >= 3.0.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	gtk-doc-automake >= 1.9
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRequires:	xz
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General Window Manager interfacing for GNOME utilities. This library
is a part of the GNOME 2 platform.

%description -l pl.UTF-8
Ogólny interfejs zarządcy okien dla narzędzi GNOME. Ta biblioteka jest
częścią platformy GNOME 2.

%package tools
Summary:	Small tools to manage windows
Summary(pl.UTF-8):	Małe narzędzia do zarządzania oknami
Group:		X11/Window Managers/Tools
Requires:	%{name} = %{version}-%{release}

%description tools
Small tools to manage windows.

%description tools -l pl.UTF-8
Małe narzędzia do zarządzania oknami.

%package devel
Summary:	Header files and documentation for libwnck
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla libwnck
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+3-devel >= 3.0.0
Requires:	startup-notification-devel >= 0.8
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXres-devel

%description devel
Header, docs and development libraries for libwnck.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libwnck.

%package static
Summary:	Static libwnck libraries
Summary(pl.UTF-8):	Statyczne biblioteki libwnck
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libwnck libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libwnck.

%package apidocs
Summary:	libwnck API documentation
Summary(pl.UTF-8):	Dokumentacja API libwnck
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libwnck API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libwnck.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable_disable static_libs static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwnck-3.la

%find_lang %{name}-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libwnck-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwnck-3.so.0
%{_libdir}/girepository-1.0/Wnck-3.0.typelib

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wnck-urgency-monitor
%attr(755,root,root) %{_bindir}/wnckprop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwnck-3.so
%{_includedir}/libwnck-3.0
%{_pkgconfigdir}/libwnck-3.0.pc
%{_datadir}/gir-1.0/Wnck-3.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwnck-3.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libwnck-3.0
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwnck.spec,v $
Revision 1.116  2012/05/15 10:46:10  kiesiu
- updated to 3.4.2

Revision 1.115  2012/03/26 21:41:00  megabajt
- updated to 3.4.0

Revision 1.114  2011/10/17 19:08:12  wiget
- up to 3.2.1

Revision 1.113  2011/09/26 19:16:59  kiesiu
- merged with DEVEL

Revision 1.112  2011/09/16 16:42:12  qboosh
- pl for -tools
- more explicit -devel Rs

Revision 1.111.2.3  2011/09/26 19:09:13  kiesiu
- updated to 3.2.0

Revision 1.111.2.2  2011/09/19 17:48:42  megabajt
- updated to 3.1.92

Revision 1.111.2.1  2011/09/12 12:26:23  wiget
- up to 3.1.90

Revision 1.111  2011/05/24 12:17:50  kiesiu
- updated Source0-md5

Revision 1.110  2011/05/24 12:12:04  kiesiu
- updated to 3.0.2
- sorted BRs

Revision 1.109  2011/04/07 06:58:06  wiget
- added tools subpackage

Revision 1.108  2011/04/04 21:39:04  megabajt
- updated to 3.0.0; merged changes from DEVEL

Revision 1.107  2011/03/26 12:08:51  qboosh
- en@shaw locale is supported now (via LANGUAGE)

Revision 1.106.2.4  2011/03/22 19:30:09  wiget
- up to 2.91.92

Revision 1.106.2.3  2011/02/22 10:16:08  megabajt
- updated to 2.91.90

Revision 1.106.2.2  2011/02/12 15:19:27  wiget
- BR stable gtk+

Revision 1.106.2.1  2011/02/03 21:15:39  wiget
- 2.91.6
- drop libtool file

Revision 1.106  2010/11/18 10:25:28  caleb
- Up to 2.30.6

Revision 1.105  2010/09/28 09:00:42  megabajt
- updated to 2.30.5

Revision 1.104  2010/09/20 10:02:43  megabajt
- updated to 2.30.4

Revision 1.103  2010/08/09 12:22:43  megabajt
- updated to 2.30.3

Revision 1.102  2010/06/22 17:00:16  megabajt
- updated to 2.30.2

Revision 1.101  2010/03/30 18:47:40  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.100.2.3  2010/03/14 15:06:18  megabajt
- updated to 2.29.92

Revision 1.100.2.2  2010/02/23 10:53:40  megabajt
- updated to 2.29.91

Revision 1.100.2.1  2010/02/11 22:45:39  megabajt
- updated to 2.29.6
- removed en@shaw locale

Revision 1.100  2010/01/29 23:25:56  arekm
- release 4

Revision 1.99  2009/12/17 22:49:59  megabajt
- added -bug590534.patch (required to fix python bindings)
- release 3

Revision 1.98  2009/11/28 01:35:30  sparky
- BR: docbook-dtd412-xml

Revision 1.97  2009/11/12 12:01:51  patrys
- rebuild
- rel 2

Revision 1.96  2009/09/26 11:47:33  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.95.2.1  2009/07/19 12:19:32  patrys
- 2.27.4

Revision 1.95  2009/07/01 21:35:48  megabajt
- updated to 2.26.2

Revision 1.94  2009/06/17 14:55:48  hawk
- release 2

Revision 1.93  2009/04/13 22:41:11  megabajt
- updated to 2.26.1

Revision 1.92  2009/03/17 18:14:05  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.91.2.1  2009/02/19 22:09:14  megabajt
- updated to 2.25.91
- removed -compiz.patch (noone cares about it since 2006)

Revision 1.91  2008/11/26 10:43:19  megabajt
- drop unsupported ca@valencia locale
- release 2

Revision 1.90  2008/11/25 17:52:27  megabajt
- updated to 2.24.2

Revision 1.89  2008/11/09 16:10:26  megabajt
- release 2

Revision 1.88  2008/10/22 19:47:47  megabajt
- updated to 2.24.1

Revision 1.87  2008/09/26 21:16:38  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.85.2.4  2008/09/13 09:37:52  patrys
- 2.23.92

Revision 1.85.2.3  2008/09/04 10:56:38  patrys
- 2.23.91

Revision 1.85.2.2  2008/08/05 14:22:03  patrys
- 2.23.6

Revision 1.86  2008/06/30 13:45:22  megabajt
- updated to 2.22.3

Revision 1.85.2.1  2008/06/17 11:03:05  megabajt
- updated to 2.23.4

Revision 1.85  2008/04/16 13:44:06  sls
- ver. 2.22.1

Revision 1.84  2008-03-11 20:15:24  patrys
- 2.22.0
- merged from DEVEL

Revision 1.81.2.8  2008-03-11 20:13:29  patrys
- 2.22.0

Revision 1.81.2.7  2008-02-29 14:06:14  megabajt
- updated to 2.21.92

Revision 1.81.2.6  2008-02-11 21:36:28  megabajt
- updated to 2.21.91

Revision 1.81.2.5  2008-01-28 13:19:12  megabajt
- updated to 2.21.90

Revision 1.81.2.4  2008-01-23 18:42:21  qboosh
- glib2 epoch

Revision 1.81.2.3  2008-01-15 15:08:16  patrys
- 2.21.5

Revision 1.83  2008-01-10 06:09:22  qboosh
- ghost soname symlink

Revision 1.81.2.2  2008-01-09 17:29:40  megabajt
- updated to 2.21.2.1

Revision 1.82  2008-01-09 16:29:04  megabajt
- updated to 2.20.3

Revision 1.81.2.1  2007-12-19 20:40:40  patrys
- 2.21.2
- patch1 no longer relevant

Revision 1.81  2007-11-27 18:36:04  megabajt
- updated to 2.20.2

Revision 1.80  2007-11-19 10:38:01  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.79  2007-11-01 16:52:22  qboosh
- added X11 to main Group

Revision 1.78  2007/10/16 17:04:18  megabajt
- updated to 2.20.1

Revision 1.77  2007/09/17 19:47:56  megabajt
- updated to 2.20.0

Revision 1.76.2.3  2007/09/07 21:13:49  megabajt
- updated to 2.19.92

Revision 1.76.2.2  2007/08/29 09:12:22  megabajt
- updated deps

Revision 1.76.2.1  2007/08/29 02:49:55  patrys
- 2.19.90

Revision 1.76  2007/08/04 12:19:50  qboosh
- LGPL v2+

Revision 1.75  2007/07/26 14:19:47  megabajt
- updated to 2.18.3

Revision 1.74  2007/05/28 16:28:18  megabajt
- updated to 2.18.2

Revision 1.73  2007/03/13 11:09:17  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.72.2.1  2007/03/01 18:37:08  megabajt
- updated to 2.17.92

Revision 1.72  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.70  2007/01/31 20:48:52  megabajt
- updated to 2.16.3
- more verbose files

Revision 1.69  2006/11/26 16:19:47  megabajt
- up to 2.16.2

Revision 1.68  2006/10/15 01:32:50  qboosh
- added link patch to kill unused -lSM -lICE
- BR+R libXres-devel

Revision 1.67  2006/10/03 10:45:18  grzegol
- 2.16.1

Revision 1.66  2006/09/04 20:25:46  grzegol
- 2.16.0

Revision 1.65  2006/08/22 16:28:08  freetz
- 2.15.92

Revision 1.64  2006/08/08 19:57:24  freetz
- 2.15.91, apidocs subpkg

Revision 1.63  2006/07/24 19:10:22  freetz
- 2.15.90, removed LDFLAGS

Revision 1.62  2006/07/11 17:22:21  freetz
- 2.15.4, --as-needed support, updated deps

Revision 1.61  2006/07/09 19:34:58  pluto
- release 3 for kill libpng12.la deps.

Revision 1.60  2006/06/19 20:43:16  freetz
- rel.2

Revision 1.59  2006/06/13 16:48:00  freetz
- 2.15.3, update deps, note: compiz patch needs update

Revision 1.58  2006/06/08 18:11:02  freetz
- bleeding edge deps, rel.2

Revision 1.57  2006/06/06 13:40:33  qboosh
- merged update to 2.14.2 from AC-branch

Revision 1.56  2006/04/24 18:50:01  wolf
- patches for compiz
- rel 2

Revision 1.55  2006/04/10 17:07:43  freetz
- 2.14.1

Revision 1.54  2006/04/02 06:59:37  freetz
- merged from DEVEL

Revision 1.52.2.5  2006/03/13 21:13:31  freetz
- 2.14.0

Revision 1.52.2.4  2006/02/28 08:34:42  freetz
- 2.13.92

Revision 1.52.2.3  2006/02/13 20:38:46  freetz
- 2.13.91

Revision 1.52.2.2  2006/01/30 18:13:52  freetz
- 2.13.90

Revision 1.52.2.1  2006/01/29 08:12:09  freetz
- 2.13.5

Revision 1.53  2006/02/08 16:34:02  freetz
- 2.12.3

Revision 1.52  2005/11/28 18:44:12  freetz
- 2.12.2

Revision 1.51  2005/11/20 14:33:19  qboosh
- bcond header

Revision 1.50  2005/11/20 14:24:38  adgor
- apidocs bcond

Revision 1.49  2005/10/04 18:17:12  freetz
- 2.12.1

Revision 1.48  2005/09/05 17:43:54  freetz
- merged from DEVEL

Revision 1.46.2.5  2005/09/05 17:42:06  freetz
- 2.12.0

Revision 1.46.2.4  2005/08/22 17:15:19  aflinta
- version 2.11.92

Revision 1.46.2.3  2005/08/21 08:02:06  wiget
- rebuild with new cairo, rel 2

Revision 1.46.2.2  2005/08/09 10:44:46  paladine
- updated to 2.11.91 (note: new soname)

Revision 1.46.2.1  2005/07/03 14:40:34  freetz
- GNOME 2.11.x development series: 2.11.4

Revision 1.47  2005/07/24 07:50:29  freetz
- 2.10.3

Revision 1.46  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.45  2005/03/07 22:36:07  paladine
- merged from DEVEL

Revision 1.44.2.4  2005/03/07 19:48:07  wiget
- updated o 2.10.0

Revision 1.44.2.3  2005/02/28 21:11:26  paladine
- updated to 2.9.92.1 (soname changed)

Revision 1.44.2.2  2005/02/08 13:25:45  grzegol
- updated to 2.9.91

Revision 1.44.2.1  2005/02/06 20:47:35  grzegol
- updated to 2.9.90

Revision 1.44  2004/10/12 18:12:57  freetz
- 2.8.1, tested, ready for STBR

Revision 1.43  2004/09/28 17:55:16  grzegol
- updated to 2.8.0.1

Revision 1.42  2004/09/15 09:33:32  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.41  2004/08/17 13:34:04  ankry
- rel. 2 to rebuild

Revision 1.40.2.3  2004/08/30 16:18:39  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install
- enabled gtk-doc

Revision 1.40.2.2  2004/08/17 17:01:52  aflinta
- up to version 2.7.91

Revision 1.40.2.1  2004/08/03 17:47:12  grzegol
- updated to 2.7.90

Revision 1.40  2004/07/06 11:10:54  grzegol
- updated to 2.6.2.1

Revision 1.39  2004/06/14 21:38:26  grzegol
- updated to 2.6.2

Revision 1.38  2004/04/19 21:11:27  grzegol
- updated to 2.6.1

Revision 1.37  2004/03/31 12:50:06  grzegol
- updated to 2.6.0.1

Revision 1.36  2004/03/22 22:56:38  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.35  2003/12/08 16:56:19  wiget
- not this branch, reverted
Revision 1.34.2.3  2004/02/24 19:18:33  grzegol
- rebuild also lt/al/am
- strict internal deps

Revision 1.34.2.2  2004/02/24 18:28:19  aflinta
- up to version 2.5.90

Revision 1.34.2.1  2003/12/10 15:27:41  wiget
- updated to 2.5.1

Revision 1.34  2003/12/08 16:04:45  wiget
- up to 2.5.0 snap 20031208

Revision 1.33  2003/10/14 10:57:05  qboosh
- -devel deps, BR: pkgconfig,startup-notification-devel

Revision 1.32  2003/09/10 19:58:52  aflinta
- version 2.4.0.1

Revision 1.31  2003/09/09 04:44:26  aflinta
- version 2.4.0

Revision 1.30  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.29  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/20 19:20:18  aflinta
- simplified

Revision 1.25  2003/05/20 19:18:11  aflinta
- verison 2.3.1

Revision 1.24  2003/03/27 07:37:50  aflinta
- updated to version 2.3.0

Revision 1.23  2003/02/06 08:37:40  trojan
- updated to 2.2.1

Revision 1.22  2003/01/21 07:53:47  aflinta
- updated to version 2.2.0

Revision 1.21  2003/01/10 08:13:43  aflinta
- updated to version 2.1.90

Revision 1.20  2002/12/04 19:45:29  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.19  2002/12/03 08:27:04  aflinta
- updated to version 2.1.5

Revision 1.18  2002/11/25 14:17:08  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/11/03 23:49:57  aflinta
- updated to version 2.1.3

Revision 1.16  2002/10/24 11:21:43  malekith
- release 1

Revision 1.15  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/28 20:50:44  aflinta
- updated to version 2.1.1 but NFY, if so, release will be 1

Revision 1.13  2002/08/25 20:38:12  aflinta
- updated to version 0.17

Revision 1.12  2002/08/15 02:31:23  michuz
- updated to 0.16

Revision 1.11  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/06/12 10:42:20  wiget
updated to 0.14

Revision 1.9  2002/06/04 07:03:32  wiget
updated to 0.13

Revision 1.8  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/20 21:33:44  kloczek
- use new %doc packing infrastructure.

Revision 1.6  2002/05/20 21:16:20  kloczek
- updated to 0.12.

Revision 1.5  2002/05/16 21:50:32  kloczek
- updated to 0.10.

Revision 1.4  2002/05/02 19:31:50  kloczek
- updated to 0.9,
- added full regenerate ac/am/lt files (added am15 patch).

Revision 1.3  2002/04/26 13:09:01  michuz
- updated to 0.8

Revision 1.2  2002/04/22 09:52:46  qboosh
- added missing pl descriptions

Revision 1.1  2002/04/17 15:44:01  michuz
- initial release
